Columns UI & FCL-Datei

Begonnen von mexx, 25. Juli 2016, 18:59:36

« vorheriges - nächstes »

mexx

Im Beitrag "Updates aktueller Plugins" steht bei Columns UI 0.4.0 RC1 (foo_ui_columns):

ZitatDie FCL-Datei wurde modifizert. Bitte erstellt eine neue FCL zur Sicherung von eurem Columns UI.


Was bedeutet das, wenn ich updaten will. Im Moment habe ich noch v0.3.8.8.

Muss ich vorher eine neue fcl zur Sicherheit erstellen oder nach dem Update?
Und bleibt meine Modifikation nach dem Update erhalten?

cu
mexx

huber59

richtig: fcl vorher sichern über Export und nach dem Update über Import wieder zurück holen

grimes

25. Juli 2016, 20:20:09 #2 Letzte Änderung: 25. Juli 2016, 20:31:04 von grimes
Upps, ich habe das Zitat geschrieben. Ich hatte das so gedacht: Die alten FCL können nicht mehr akkurat von den neuen ColumnsUI Versionen gelesen werden (teilweise inkompatibel). Also sollte man mit dem neuen CUI erneut eine FCL erstellen, so man denn eine Sicherung braucht. huber59 meint allerdings, dass das Humbug ist.
EDIT: Es ist wohl so, dass die neue FCL zusätzliche Informationen speichert, um das Layout möglicht akkurat wiederherstellen zu können.

huber59

Zitat von: grimes am 25. Juli 2016, 20:20:09
huber59 meint allerdings, dass das Humbug ist.


ach was ?!

huber59

25. Juli 2016, 21:05:12 #4 Letzte Änderung: 25. Juli 2016, 21:09:29 von huber59
ich habe jetzt mal das update gemacht (übrigens Version 5.0), kann bisher nichts entdecken was sich geändert hat (haben soll) ?!

Die Sicherung der neuen .fcl Datei bringt lediglich eine Differenz von 347bytes zur Vorgängersicherung auf die Waage

grimes

Zitat von: huber59 am 25. Juli 2016, 20:54:56
Zitat von: grimes am 25. Juli 2016, 20:20:09
huber59 meint allerdings, dass das Humbug ist.


ach was ?!

Das war Humbug. :-[ Die neuen FCL laufen nicht auf alten CUI Versionen. Alte FCL laufen aber sehr wohl auf neuen CUI Versionen.

huber59

Kannst Du bitte mal spezifizieren, was da nicht läuft? "Ich blick da nicht lang"...

grimes

Also in der neuen FCL werden einfach zusätzliche Parameter mitgespeichert (DPI bezogene Sachen oder NG Playlist groups, oder so). Wenn Du von CUI 0.5.0 wieder downgradest zu 0.3.8.8, dann laufen diese neuen FCL nicht.

huber59


mexx

Das heißt für mich:

- Columns UI 0.5.0 installieren ohne dass es meiner jetztigen Konfiguration etwas ausmacht.
- Anschließend diese Konfiguration mit einer neuen fcl sichern.

In welches Verzeichnis muss ich denn die foo_ui_columns-0.5.0.fb2k-component kopieren.

components oder user-components. Beide sind bei mir vorhanden.

grimes

26. Juli 2016, 12:21:05 #10 Letzte Änderung: 26. Juli 2016, 15:29:25 von grimes
Zitat von: mexx am 26. Juli 2016, 12:07:06
In welches Verzeichnis muss ich denn die foo_ui_columns-0.5.0.fb2k-component kopieren.

components oder user-components. Beide sind bei mir vorhanden.

Es ist egal von wo Du die Installationsdatei foo_ui_columns-0.5.0.fb2k-component ausführst (Doppelklick auf Datei).
Die Installationsroutine installiert dann in user-components. (Dies gilt für eine Standardinstallation von foobar2000).

EDIT: Bei einer portablen Installation von foobar2000 muss man etwas anders vorgehen. Unter File | Preferences | Components lädt man mit Install... die fb2k-component-Installationsdatei ein.

mexx

Alles klar. Version 0.5.0 installiert.

THX für die Unterstützung

cu mexx